Notas de débito
Consultar una nota de débito
Devuelve la nota de débito con sus motivos, cliente y punto de emisión.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
debit_notes
/
{id}
Consultar una nota de débito
curl --request GET \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"debit_note": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sequential": "<string>",
"total": 123,
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"invoice_emission_date": "2023-12-25",
"payment_method": "<string>",
"tax_percentage_code": "<string>",
"total_without_taxes": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"access_key": "<string>",
"authorization_number": "<string>",
"error_message": "<string>",
"public_url": "<string>",
"pdf_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"motives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"value": 123
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Identificador de la nota de débito.
Response
La nota de débito.
Show child attributes
Show child attributes
Consultar una nota de débito
curl --request GET \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/debit_notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"debit_note": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sequential": "<string>",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sequential": "<string>",
"total": 123,
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"invoice_emission_date": "2023-12-25",
"payment_method": "<string>",
"tax_percentage_code": "<string>",
"total_without_taxes": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"access_key": "<string>",
"authorization_number": "<string>",
"error_message": "<string>",
"public_url": "<string>",
"pdf_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"motives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"value": 123
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}